GI-DECOMPILE-TYPELIB(1)

NAME
gi-decompile-typelib - Typelib decompiler

SYNOPSIS

gi-decompile-typelib [OPTION…] TYPELIB [TYPELIB…]

DESCRIPTION

gi-decompile-typelib is a GIR decompiler, using the repository API. It generates GIR XML files from the compiled binary typelib format. The output will be written to standard output unless the --output is specified.

The binary typelib format stores a subset of the information available in GIR XML, so not all typelibs can be decompiled in this way, and the resulting GIR XML might be incomplete.

Normally, GIR XML should be generated from source code, headers and shared libraries using <g-ir-scanner(1)> instead of using this tool.

OPTIONS

--help
    Show help options.

--output FILENAME, -o FILENAME
    Save the resulting output in FILENAME.

--includedir DIRECTORY
    Add DIRECTORY to the search path for typelibs. This option can be used more than once. The first DIRECTORY on the command-line will be searched first (highest precedence).

--all
    Show all available information.

--version
    Show program’s version number and exit.

EXAMPLE

::  $ libdir=/usr/lib/x86_64-linux-gnu # or /usr/lib64 or similar $ gi-decompile-typelib -o Gio-2.0.gir

System Message: ERROR/3 (../glib-2.84.2/docs/reference/girepository/gi-decompile-typelib.rst:, line 84)
    Unexpected indentation. $libdir/girepository-1.0/Gio-2.0.typelib

    $ diff -u /usr/share/gir-1.0/Gio-2.0.gir Gio-2.0.gir

    You will see that the original GIR XML contains much more information than the decompiled typelib.

BUGS

Report bugs at <https://gitlab.gnome.org/GNOME/glib/-/issues>

HOMEPAGE AND CONTACT

 <https://gi.readthedocs.io/>

AUTHORS

Matthias Clasen